Bug 5052 - Консистентные параметры mysql.socket файла для mariadb и php
: Консистентные параметры mysql.socket файла для mariadb и php
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Denis Silakov
: Stanislav Fomin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-12 17:22 MSK by Stanislav Fomin
Modified: 2015-03-05 11:08 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
denis.silakov: secteam_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Fomin 2015-02-12 17:22:35 MSK
Способ по умолчанию для общения mysql и php — через socket-файл.

Проблема в том, что параметры по умолчанию для mysql (mariadb) и php как-то постоянно менялись, и почти никогда не совпадали во Fresh — приходилось руками вправлять мозги то одному, то другому, через конфиг файлы, и постоянно по разному.

Это нехорошо — правильно при инсталляции LAMP-стека ожидать, что все согласовано.

Сейчас, встроенные параметры для mariadb

MariaDB [(none)]> show variables like '%SOCKET%';
+-----------------------------------------+------------------------+
| Variable_name                           | Value                  |
+-----------------------------------------+------------------------+
| socket                                  | /run/mysqld/mysql.sock |
+-----------------------------------------+------------------------+
 

А для PHP
'/var/lib/mysql/mysql.sock

---------------------
Надо понять, какой путь для сокет-файлом будет стандартом, и стандартизовать лучше опциями компиляции (а не правкой конфигов). Но на худой конец, можно и правкой конфигов.

Мне кажется, что скорее надо PHP подгонять под MySQL, но может и наоборот.
Comment 1 Denis Silakov 2015-02-12 18:04:12 MSK
Advisory:

Fix mysql socket location in PHP.

Build lists:
https://abf.io/build_lists/2424411
https://abf.io/build_lists/2424412
Comment 2 Alexander Petryakov 2015-02-28 03:41:23 MSK
	php-5.5.21-2
Build lists:
https://abf.io/build_lists/2424411
https://abf.io/build_lists/2424412
************** Advisory **************
Fix mysql socket location in PHP.
**************************************
QA Verified
Comment 3 Alexander Petryakov 2015-03-05 09:55:27 MSK
In correct path in php missing "d" in dir name mysqld
/run/mysqld/mysql.sock != /run/mysql/mysql.sock
Comment 4 Denis Silakov 2015-03-05 11:08:08 MSK
Oops. Hot-fix for this has been recently pushed to repositories.